"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@ontologies/core");
/** Function to create arbitrary terms within the 'Dublin Core Metadata Element Set, Version 1.1' ontology */
exports.ns = core_1.createNS("http://purl.org/dc/elements/1.1/");
/** An entity responsible for making contributions to the resource. */
exports.contributor = exports.ns("contributor");
/** The spatial or temporal topic of the resource, the spatial applicability of the resource, or the jurisdiction under which the resource is relevant. */
exports.coverage = exports.ns("coverage");
/** An entity primarily responsible for making the resource. */
exports.creator = exports.ns("creator");
/** A point or period of time associated with an event in the lifecycle of the resource. */
exports.date = exports.ns("date");
/** An account of the resource. */
exports.description = exports.ns("description");
/** The file format, physical medium, or dimensions of the resource. */
exports.format = exports.ns("format");
/** An unambiguous reference to the resource within a given context. */
exports.identifier = exports.ns("identifier");
/** A language of the resource. */
exports.language = exports.ns("language");
/** An entity responsible for making the resource available. */
exports.publisher = exports.ns("publisher");
/** A related resource. */
exports.relation = exports.ns("relation");
/** Information about rights held in and over the resource. */
exports.rights = exports.ns("rights");
/** A related resource from which the described resource is derived. */
exports.source = exports.ns("source");
/** The topic of the resource. */
exports.subject = exports.ns("subject");
/** A name given to the resource. */
exports.title = exports.ns("title");
/** The nature or genre of the resource. */
exports.type = exports.ns("type");
exports.default = {
    /** Function to create arbitrary terms within the 'Dublin Core Metadata Element Set, Version 1.1' ontology */
    ns: exports.ns,
    /** An entity responsible for making contributions to the resource. */
    contributor: exports.contributor,
    /** The spatial or temporal topic of the resource, the spatial applicability of the resource, or the jurisdiction under which the resource is relevant. */
    coverage: exports.coverage,
    /** An entity primarily responsible for making the resource. */
    creator: exports.creator,
    /** A point or period of time associated with an event in the lifecycle of the resource. */
    date: exports.date,
    /** An account of the resource. */
    description: exports.description,
    /** The file format, physical medium, or dimensions of the resource. */
    format: exports.format,
    /** An unambiguous reference to the resource within a given context. */
    identifier: exports.identifier,
    /** A language of the resource. */
    language: exports.language,
    /** An entity responsible for making the resource available. */
    publisher: exports.publisher,
    /** A related resource. */
    relation: exports.relation,
    /** Information about rights held in and over the resource. */
    rights: exports.rights,
    /** A related resource from which the described resource is derived. */
    source: exports.source,
    /** The topic of the resource. */
    subject: exports.subject,
    /** A name given to the resource. */
    title: exports.title,
    /** The nature or genre of the resource. */
    type: exports.type
};
