import { createNS } from "@ontologies/core";
/** Function to create arbitrary terms within the 'Dublin Core Metadata Element Set, Version 1.1' ontology */
export const ns = createNS("http://purl.org/dc/elements/1.1/");
/** An entity responsible for making contributions to the resource. */
export const contributor = ns("contributor");
/** The spatial or temporal topic of the resource, the spatial applicability of the resource, or the jurisdiction under which the resource is relevant. */
export const coverage = ns("coverage");
/** An entity primarily responsible for making the resource. */
export const creator = ns("creator");
/** A point or period of time associated with an event in the lifecycle of the resource. */
export const date = ns("date");
/** An account of the resource. */
export const description = ns("description");
/** The file format, physical medium, or dimensions of the resource. */
export const format = ns("format");
/** An unambiguous reference to the resource within a given context. */
export const identifier = ns("identifier");
/** A language of the resource. */
export const language = ns("language");
/** An entity responsible for making the resource available. */
export const publisher = ns("publisher");
/** A related resource. */
export const relation = ns("relation");
/** Information about rights held in and over the resource. */
export const rights = ns("rights");
/** A related resource from which the described resource is derived. */
export const source = ns("source");
/** The topic of the resource. */
export const subject = ns("subject");
/** A name given to the resource. */
export const title = ns("title");
/** The nature or genre of the resource. */
export const type = ns("type");
export default {
    /** Function to create arbitrary terms within the 'Dublin Core Metadata Element Set, Version 1.1' ontology */
    ns,
    /** An entity responsible for making contributions to the resource. */
    contributor,
    /** The spatial or temporal topic of the resource, the spatial applicability of the resource, or the jurisdiction under which the resource is relevant. */
    coverage,
    /** An entity primarily responsible for making the resource. */
    creator,
    /** A point or period of time associated with an event in the lifecycle of the resource. */
    date,
    /** An account of the resource. */
    description,
    /** The file format, physical medium, or dimensions of the resource. */
    format,
    /** An unambiguous reference to the resource within a given context. */
    identifier,
    /** A language of the resource. */
    language,
    /** An entity responsible for making the resource available. */
    publisher,
    /** A related resource. */
    relation,
    /** Information about rights held in and over the resource. */
    rights,
    /** A related resource from which the described resource is derived. */
    source,
    /** The topic of the resource. */
    subject,
    /** A name given to the resource. */
    title,
    /** The nature or genre of the resource. */
    type
};
